# Generated by Django 2.2.3 on 2021-03-05 05:44

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('models', '0028_auto_20210113_1949'),
        ('places', '0016_direcciones_historicaldirecciones'),
    ]

    operations = [
        migrations.CreateModel(
            name='GroupSlack',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('name', models.CharField(help_text='varchar(255) required', max_length=255, verbose_name='Grupo *')),
                ('description', models.TextField(blank=True, help_text='TextField', null=True, verbose_name='Descripción')),
            ],
            options={
                'verbose_name': 'Grupo de Slack',
                'verbose_name_plural': 'Grupos de Slack',
                'ordering': ['-id'],
            },
        ),
        migrations.CreateModel(
            name='SpaceSlack',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('name', models.CharField(help_text='varchar(255) required', max_length=255, verbose_name='Grupo *')),
                ('description', models.TextField(blank=True, help_text='TextField', null=True, verbose_name='Descripción')),
            ],
            options={
                'verbose_name': 'Espacio de Slack',
                'verbose_name_plural': 'Espacios de Slack',
                'ordering': ['-id'],
            },
        ),
        migrations.CreateModel(
            name='HistoricalSpaceSlack',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('name', models.CharField(help_text='varchar(255) required', max_length=255, verbose_name='Grupo *')),
                ('description', models.TextField(blank=True, help_text='TextField', null=True, verbose_name='Descripción')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical Espacio de Slack',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalGroupSlack',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('name', models.CharField(help_text='varchar(255) required', max_length=255, verbose_name='Grupo *')),
                ('description', models.TextField(blank=True, help_text='TextField', null=True, verbose_name='Descripción')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical Grupo de Slack',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalEnterprise',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('name', models.CharField(help_text='varchar(255) required', max_length=255, verbose_name='Empresa *')),
                ('name_format', models.CharField(blank=True, db_index=True, help_text='varchar(255) no required', max_length=255, null=True, verbose_name='Empresa *')),
                ('identification', models.CharField(help_text='varchar(255) required', max_length=255, verbose_name='Identificación *')),
                ('email', models.EmailField(blank=True, help_text='varchar(255) no required', max_length=254, null=True, verbose_name='Email')),
                ('phone', models.CharField(blank=True, help_text='varchar no required', max_length=30, null=True, verbose_name='Telefono')),
                ('address', models.TextField(help_text='Text required', verbose_name='Dirección *')),
                ('address_invoice', models.TextField(blank=True, help_text='Text required', null=True, verbose_name='Dirección de Facturación')),
                ('settings', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, help_text='JSON, no required', null=True, verbose_name='Configuraciones')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('country', models.ForeignKey(blank=True, db_constraint=False, help_text='FK, relación modelo places.Country (required)', null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='places.Country', verbose_name='País *')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical Empresa',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalCanalSlack',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('name', models.CharField(help_text='varchar(255) required', max_length=255, verbose_name='Canal de Slack *')),
                ('name_format', models.CharField(blank=True, help_text='varchar(255) no required', max_length=255, null=True, verbose_name='Canal de Slack')),
                ('canal_slack_id', models.CharField(help_text='varchar(255) required', max_length=255, verbose_name='Identificador Slack')),
                ('usage', models.SmallIntegerField(choices=[(0, 'Empresarial'), (1, 'Personal')], default=0, help_text='Integer, Indica si el canal es de uso                    personal o empresarial', verbose_name='Tipo de Canal')),
                ('webhost', models.URLField(blank=True, help_text='Text, indica el webhost con el cual interactua el registro', null=True, verbose_name='Url WebHost')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical Canal de Slack',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalAppSlack',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('name', models.CharField(help_text='varchar(100)', max_length=100, verbose_name='Aplicación*')),
                ('enviroment', models.SmallIntegerField(choices=[(1, 'Development'), (2, 'Stage'), (3, 'Production')], default=0, help_text='Integer', verbose_name='Entorno')),
                ('credentials', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, help_text='Json con las credenciales de authenticación', null=True, verbose_name='Credenciales')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('space', models.ForeignKey(blank=True, db_constraint=False, help_text='FK, relación con el modelo                    enterprise.SpaceSlack', null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='enterprise.SpaceSlack', verbose_name='Espacio Slack')),
                ('user', models.ForeignKey(blank=True, db_constraint=False, help_text='FK, relación AUTH.User', null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Creado por*')),
            ],
            options={
                'verbose_name': 'historical Aplicación de Slack',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Enterprise',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('name', models.CharField(help_text='varchar(255) required', max_length=255, verbose_name='Empresa *')),
                ('name_format', models.CharField(blank=True, db_index=True, help_text='varchar(255) no required', max_length=255, null=True, verbose_name='Empresa *')),
                ('identification', models.CharField(help_text='varchar(255) required', max_length=255, verbose_name='Identificación *')),
                ('email', models.EmailField(blank=True, help_text='varchar(255) no required', max_length=254, null=True, verbose_name='Email')),
                ('phone', models.CharField(blank=True, help_text='varchar no required', max_length=30, null=True, verbose_name='Telefono')),
                ('address', models.TextField(help_text='Text required', verbose_name='Dirección *')),
                ('address_invoice', models.TextField(blank=True, help_text='Text required', null=True, verbose_name='Dirección de Facturación')),
                ('settings', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, help_text='JSON, no required', null=True, verbose_name='Configuraciones')),
                ('country', models.ForeignKey(help_text='FK, relación modelo places.Country (required)', on_delete=django.db.models.deletion.PROTECT, to='places.Country', verbose_name='País *')),
                ('group_slack', models.ManyToManyField(blank=True, help_text='M2M, relacion al modelo enterprise.GroupSlack', to='enterprise.GroupSlack', verbose_name='Grupos Slack')),
                ('operators', models.ManyToManyField(blank=True, help_text='M2M relacion al modelo models.Operator', to='models.Operator', verbose_name='Operadores')),
            ],
            options={
                'verbose_name': 'Empresa',
                'verbose_name_plural': 'Empresas',
                'ordering': ['-id'],
                'unique_together': {('identification', 'email')},
            },
        ),
        migrations.CreateModel(
            name='CanalSlack',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('name', models.CharField(help_text='varchar(255) required', max_length=255, verbose_name='Canal de Slack *')),
                ('name_format', models.CharField(blank=True, help_text='varchar(255) no required', max_length=255, null=True, verbose_name='Canal de Slack')),
                ('canal_slack_id', models.CharField(help_text='varchar(255) required', max_length=255, verbose_name='Identificador Slack')),
                ('usage', models.SmallIntegerField(choices=[(0, 'Empresarial'), (1, 'Personal')], default=0, help_text='Integer, Indica si el canal es de uso                    personal o empresarial', verbose_name='Tipo de Canal')),
                ('webhost', models.URLField(blank=True, help_text='Text, indica el webhost con el cual interactua el registro', null=True, verbose_name='Url WebHost')),
                ('enterprise', models.ManyToManyField(blank=True, help_text='FK, enterprise.Enterprise (required)', to='enterprise.Enterprise', verbose_name='Empresas *')),
                ('group_slack', models.ManyToManyField(blank=True, help_text='M2M, relacion al modelo enterprise.GroupSlack', to='enterprise.GroupSlack', verbose_name='Grupos Slack')),
            ],
            options={
                'verbose_name': 'Canal de Slack',
                'verbose_name_plural': 'Canales de Slack',
                'ordering': ['-id'],
            },
        ),
        migrations.CreateModel(
            name='AppSlack',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('name', models.CharField(help_text='varchar(100)', max_length=100, verbose_name='Aplicación*')),
                ('enviroment', models.SmallIntegerField(choices=[(1, 'Development'), (2, 'Stage'), (3, 'Production')], default=0, help_text='Integer', verbose_name='Entorno')),
                ('credentials', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, help_text='Json con las credenciales de authenticación', null=True, verbose_name='Credenciales')),
                ('enterprise', models.ManyToManyField(blank=True, help_text='FK, enterprise.Enterprise (required)', null=True, to='enterprise.Enterprise', verbose_name='Empresa *')),
                ('space', models.ForeignKey(blank=True, help_text='FK, relación con el modelo                    enterprise.SpaceSlack', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='spaces_apps_slack', to='enterprise.SpaceSlack', verbose_name='Espacio Slack')),
                ('user', models.ForeignKey(help_text='FK, relación AUTH.User', on_delete=django.db.models.deletion.PROTECT, related_name='apps_slack_users', to=settings.AUTH_USER_MODEL, verbose_name='Creado por*')),
            ],
            options={
                'verbose_name': 'Aplicación de Slack',
                'verbose_name_plural': 'Aplicaciones de Slack',
                'ordering': ['-id'],
            },
        ),
    ]
